<div class="full-width full-height flex-column p-10">
  <div class="full-width flex-fixed-size flex-row button-bar">
    <i
      class="flex-fixed-size current-workspace-button action-icon-size m-l-5"
      nz-icon
      [nzType]="'sqtm-core-generic:zoom-in'"
      [attr.data-test-element-id]="'open-all-entity-types'"
      (click)="openAllEntityTypes()"
    ></i>
    <i
      class="flex-fixed-size current-workspace-button action-icon-size m-l-5"
      nz-icon
      [nzType]="'sqtm-core-generic:zoom-out'"
      [attr.data-test-element-id]="'close-all-entity-types'"
      (click)="closeAllEntityTypes()"
    ></i>
    <sqtm-core-text-research-field
      class="m-l-15 m-r-15 full-width"
      (newResearchValue)="changeFilter($event)"
    ></sqtm-core-text-research-field>
  </div>
  <div class="full-width full-height m-t-10">
    <sqtm-core-grid
      class="sqtm-core-prevent-selection-in-grid"
    ></sqtm-core-grid>
  </div>
</div>
